{
  config,
  pkgs,
  lib,
  username,
  fullName,
  ...
}:

{
  programs.zsh.enable = true;
  users.users.${username} = {
    isNormalUser = true;
    home = "/home/${username}";
    description = fullName;
    extraGroups = [
      "wheel"
      "docker"
    ];
    shell = pkgs.zsh;
  };
  programs.firefox = lib.mkIf (config.features.swayDesktop.enable == true) {
    enable = true;
  };
  programs.thunderbird = lib.mkIf (config.features.swayDesktop.enable == true) {
    enable = true;
  };
}
